Bug 239298 - math/amath: fix build on powerpc* and mips*
Summary: math/amath: fix build on powerpc* and mips*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 08:43 UTC by Piotr Kubaj
Modified: 2019-08-24 12:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (cs)


Attachments
patch (1.40 KB, patch)
2019-07-19 08:43 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (cs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-19 08:43:16 UTC
Created attachment 205884 [details]
patch

The big-endian ifdef misses ||.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-01 01:01:09 UTC
This builds for me on both amd64 and powerpc64.  So, approved, once/if
maintainer times out.
Comment 2 commit-hook freebsd_committer 2019-08-24 12:42:37 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Aug 24 12:42:02 UTC 2019
New revision: 509722
URL: https://svnweb.freebsd.org/changeset/ports/509722

Log:
  math/amath: fix build on powerpc* and mips*

  The big-endian ifdef misses ||.

  PR:		239298
  Approved by:	cs@innolan.net (maintainer timeout), linimon (mentor)

Changes:
  head/math/amath/Makefile
  head/math/amath/files/patch-src_real_prim.h